Subject: Re: virtio_net: MAC address releated breakage if there is no MAC area in config

From: Rusty Russell <[email-masked]>
Date: Sun, 5 Apr 2009 14:11:07 +1030

On Thursday 02 April 2009 22:03:24 Christian Borntraeger wrote:
> I read this as the mac config field is optional (similar to all the optional
> fields we added in virtio_blk later).
> 
> I see two options:
> 1. Change our sample userspace to always allocate the config (like lguest and
> qemu)
> 2. Change the kernel code to not write into the config unless a specific feature
> bit is set. (e.g. VIRTIO_NET_F_SETMAC)

I had assumed it would always exist.  Agreed it's unclear; I'm currently
writing down the actual standard to avoid such mistakes in the future.

Cheers,
Rusty.